summaryrefslogtreecommitdiff
path: root/tests/qemu-iotests/184
diff options
context:
space:
mode:
authorMax Reitz <mreitz@redhat.com>2017-11-23 03:08:30 +0100
committerMax Reitz <mreitz@redhat.com>2018-01-23 12:34:43 +0100
commitb5d92efa085daf5554719825f1c09626299eaa15 (patch)
tree31b3ce4cea2bf29ad171f4932a130fc881fd3e3f /tests/qemu-iotests/184
parent9853f5c4961ed416196a3af208d8c219df0e05ed (diff)
iotests: Make 184 image-less
184 does not need an image, so don't use one. Signed-off-by: Max Reitz <mreitz@redhat.com> Message-id: 20171123020832.8165-16-mreitz@redhat.com Reviewed-by: John Snow <jsnow@redhat.com> Signed-off-by: Max Reitz <mreitz@redhat.com>
Diffstat (limited to 'tests/qemu-iotests/184')
-rwxr-xr-xtests/qemu-iotests/18425
1 files changed, 5 insertions, 20 deletions
diff --git a/tests/qemu-iotests/184 b/tests/qemu-iotests/184
index ee96c99af3..2b68284d58 100755
--- a/tests/qemu-iotests/184
+++ b/tests/qemu-iotests/184
@@ -27,18 +27,12 @@ echo "QA output created by $seq"
here=`pwd`
status=1 # failure is the default!
-_cleanup()
-{
- _cleanup_test_img
-}
-trap "_cleanup; exit \$status" 0 1 2 3 15
+trap "exit \$status" 0 1 2 3 15
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
-_supported_fmt qcow2
-_supported_proto file
_supported_os Linux
function do_run_qemu()
@@ -55,7 +49,6 @@ function run_qemu()
| _filter_actual_image_size
}
-_make_test_img 64M
test_throttle=$($QEMU_IMG --help|grep throttle)
[ "$test_throttle" = "" ] && _supported_fmt throttle
@@ -66,12 +59,8 @@ run_qemu <<EOF
{ "execute": "qmp_capabilities" }
{ "execute": "blockdev-add",
"arguments": {
- "driver": "$IMGFMT",
- "node-name": "disk0",
- "file": {
- "driver": "file",
- "filename": "$TEST_IMG"
- }
+ "driver": "null-co",
+ "node-name": "disk0"
}
}
{ "execute": "object-add",
@@ -181,12 +170,8 @@ run_qemu <<EOF
{ "execute": "qmp_capabilities" }
{ "execute": "blockdev-add",
"arguments": {
- "driver": "$IMGFMT",
- "node-name": "disk0",
- "file": {
- "driver": "file",
- "filename": "$TEST_IMG"
- }
+ "driver": "null-co",
+ "node-name": "disk0"
}
}
{ "execute": "blockdev-add",